stages:
  - test
  - verify

# Simulates Running Tests ( Unit, Integration, Or However You Want To Test)
test_requirements:
  image: node:latest
  stage: test
  script:
    # This is a fake script that simulates running unit tests and creating a report.
    - cp data/test_results.xml junit.xml
  artifacts:
    reports:
      junit:
        - junit.xml


check_requirements:
  image: python:latest
  stage: verify
  only:
    refs:
      - main
  script:
    # Parses Test Results File And Satisfies / Unsatisfies Requiremen
    - python verify_requirements.py
  artifacts:
    reports:
      requirements: requirements.json
